Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class AttachmentServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              portlets.compoze.groupware.AttachmentServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AttachmentServlet
extends javax.servlet.http.HttpServlet
implements java.io.Serializable

This class is a servlet that writes an attachment.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTACHMENT_ID` This represents the request parameter for the attachment ID (required for certain provider).
`static java.lang.String` | `ATTACHMENT_INDEX` This represents the request parameter for the attachment index (required).
`static java.lang.String` | `MESSAGE_ID` This represents the request parameter for the message id (required).

Constructor Summary
`AttachmentServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles a get request for an attachment.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_ID

    public static final java.lang.String MESSAGE_ID

  This represents the request parameter for the message id (required).

  See Also:
    Constant Field Values

### ATTACHMENT_INDEX

    public static final java.lang.String ATTACHMENT_INDEX

  This represents the request parameter for the attachment index (required).

  See Also:
    Constant Field Values

### ATTACHMENT_ID

    public static final java.lang.String ATTACHMENT_ID

  This represents the request parameter for the attachment ID (required for certain provider).

  See Also:
    Constant Field Values

Constructor Detail

### AttachmentServlet

    public AttachmentServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Handles a get request for an attachment.

  Parameters:
    `request` - the request
    `response` - the response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.